//当前环境 test,prod
export const ENV = 'test'
export const ENV_BASE_URL = {
	java: {
		prod: 'https://cashier.sxczgkj.com/',
		// test: 'http://192.168.1.43/',
		test: 'https://frp.sxczgkj.com/',
		h5ProdProxy: '/prodJavaApi/',
		h5TestProxy: '/testJavaApi/',
	},
	php: {
		prod: 'https://cashier.sxczgkj.com/',
		// test: 'http://192.168.1.43:8787/',
		test: 'https://frp.sxczgkj.com:8787/',
		h5ProdProxy: '/prodPhpApi/api/',
		h5TestProxy: '/testPhpApi/api/',
	}
}


/**
 * @param {String} env  环境，测试或者正式 
 * @param {String} apiType 语言，java或者php 
 */
export function returnBaseUrl(param) {
	let {
		env,
		apiType
	} = param
	if (!env) {
		env = ENV
	}
	console.log('env', env);
	console.log('apiType', apiType);
	if (env === 'prod') {
		//正式环境
		// #ifdef H5
		if (apiType === 'php') {
			return ENV_BASE_URL.php.h5ProdProxy
		}
		if (apiType === 'java') {
			return ENV_BASE_URL.java.h5ProdProxy
		}
		// #endif

		if (apiType === 'php') {
			return ENV_BASE_URL.php.prod
		}
		if (apiType === 'java') {
			return ENV_BASE_URL.java.prod
		}

	} else {
		//测试环境
		// #ifdef H5
		if (apiType === 'php') {
			return ENV_BASE_URL.php.h5TestProxy
		}
		if (apiType === 'java') {
			return ENV_BASE_URL.java.h5TestProxy
		}
		// #endif

		if (apiType === 'php') {
			return ENV_BASE_URL.php.test
		}
		if (apiType === 'java') {
			return ENV_BASE_URL.java.test
		}

	}

}

function returnWss(env) {
	// #ifdef H5
	if (env === 'test') {
		return 'http://192.168.1.43:2348'
	} else {
		return 'https://czgeatws.sxczgkj.com/wss'
	}
	// #endif
	// #ifndef H5
	if (env === 'test') {
		// return 'ws://192.168.1.43:2348'
		return 'ws://frp.sxczgkj.com/wss'
	} else {
		return 'wss://czgeatws.sxczgkj.com/wss'
	}
	// #endif

}


const appConfig = {

	// 项目名称
	appName: '银收客',

	// token取值key
	tokenKey: 'iToken',
	// tokenKey: 'satoken',

	// 环境变量相关
	env: {},

	// wss: "wss://sockets.sxczgkj.com/wss", //测试环境
	wss: returnWss(ENV), //正式环境
	// 环境变量常量
	ENV_ENUM: {
		DEVELOPMENT: 'development', // 本地调试地址 
		TEST: 'test', // 测试地址
		DEMO: 'demo', // 演示环境
		PRODUCTION: 'production' // 生产环境
	},

	returnBaseUrl: returnBaseUrl,
	storeEnvEnumKey: 'currentEnvEnum', // 本地存储的envkey的值

	encryptKey: '1234567890123456', // http数据加解密的key 
	baseUrl: "",
}






export default appConfig;